-- \^C~O̒`
-- pixel clock 24MHz, 640X480 pixel, 60Hz

library ieee;
use ieee.std_logic_1164.all;

package disp_timing_pack is
constant H_ACTIVE_VIDEO : integer := 640;
constant H_FRONT_PORCH : integer := 16;
constant H_SYNC_PULSE : integer := 64;
constant H_BACK_PORCH : integer := 44;
constant H_SUM : integer := H_ACTIVE_VIDEO + H_FRONT_PORCH + H_SYNC_PULSE + H_BACK_PORCH;

constant V_ACTIVE_VIDEO : integer := 480;
constant V_FRONT_PORCH : integer := 11;
constant V_SYNC_PULSE : integer := 2;
constant V_BACK_PORCH : integer := 32;
constant V_SUM : integer := V_ACTIVE_VIDEO + V_FRONT_PORCH + V_SYNC_PULSE + V_BACK_PORCH;
end disp_timing_pack;
