--CamDisplay Contoroller with SRAMigbvW[j
-- gbvW[S邱ƂɂB
-- CMOSJoĂrfIo͂UYVYƂ
-- VSYNC͐_AHREF_
-- clk(48MHz)͂̂܂܎gpāAPCLKDCMŎ󂯂ĎgpB
-- IOBɃ}bv郍WbN͂̃gbvW[ɃCX^VG[VB
-- synchronizerł_1d̃f[^gpȂ̃W[ł_2d̃f[^gp
-- Ŝ̃^C~O_2dƂ

library IEEE;
use IEEE.std_logic_1164.all;
use ieee.numeric_std.all;

-- pragma translate_off
library UNISIM;
use UNISIM.VComponents.all;
-- pragma translate_on

entity CamDispCntrl_SRAM is
	port (
		clk	: in std_logic;			-- U킩48MHzNbN
		cam_vsync : in std_logic;	-- CMOSJVSYNC
		cam_href : in std_logic;	-- CMOSJHREF
		cam_pclk : in std_logic;		-- CMOSJpclk
		cam_ydata : in std_logic_vector(7 downto 0); -- CMOSJYf[^
		cam_sio_c : out std_logic;	-- CMOSJI2CNbN
		-- cam_sio_d : inout std_logic; -- CMOSJI2Cf[^
		cam_sio_d : out std_logic; -- CMOSJI2Cf[^
		cam_clk	: out std_logic; 	-- CMOSJ̃NbN
		cam_reset	: out std_logic; 	-- CMOSJ̃ZbgiHŃZbgj
		dac_red	: out std_logic_vector(7 downto 0);	-- DACւREDo
		dac_green : out std_logic_vector(7 downto 0); -- DACւGREENo
		dac_blue : out std_logic_vector(7 downto 0); -- DACւBLUEo
		n_dac_blank : out std_logic; -- DACւ̃ANeBu[BLANK
		dac_clk : out std_logic; -- DACNbNi24MHzj
		vga_vsync : out std_logic; -- VGAVSYNC
		vga_hsync : out std_logic; -- VGAHSYNC
		mem_data : inout std_logic_vector(15 downto 0);	-- SRAMmemory data
		n_mem_we : out std_logic; -- SRAMmemory write enable
		n_mem_rd : out std_logic; -- SRAMmemory read enable
		n_mem_cs0 : out std_logic; -- SRAMchip select 0
		n_mem_cs1 : out std_logic; -- SRAMchip select 1
		n_mem_cs2 : out std_logic; -- SRAMchip select 2
		n_mem_cs3 : out std_logic; -- SRAMchip select 3
		n_mem_lowerB : out std_logic; -- SRAMmemory lower byte enable
		n_mem_upperB : out std_logic; -- SRAMmemory upper byte enable
		mem_addr : out std_logic_vector(17 downto 0) -- SRAMmemory address
	);
end CamDispCntrl_SRAM;

architecture RTL of CamDispCntrl_SRAM is
component DCM_module_24MHz
	port(
		clk48MHz_in : in std_logic;
		clk48_out : out std_logic;
		cam_clk_out : out std_logic;
		pclk_in : in std_logic;
		mclk_out : out std_logic;
		cam_clk_locked : out std_logic;
		mclk_locked : out std_logic
	);
end component;
component ODDR2
 generic(

      DDR_ALIGNMENT : string := "NONE";
      INIT          : bit    := '0';
      SRTYPE        : string := "SYNC"
      );

  port(
      Q           : out std_ulogic;

      C0          : in  std_ulogic;
      C1          : in  std_ulogic;
      CE          : in  std_ulogic := 'H';
      D0          : in  std_ulogic;
      D1          : in  std_ulogic;
      R           : in  std_ulogic := 'L';
      S           : in  std_ulogic := 'L'
    );
end component;
component VGA_Display_Controller
	port(
		clk : in std_logic;
		reset : in std_logic;
		master_sync : in std_logic; -- \^C~O̓M
		pixel_y_data : in std_logic_vector(15 downto 0); -- Ỹf[^Adata_enable1̎ɗL
		data_enable : in std_logic;
		h_count_out : out unsigned(9 downto 0); -- JE^̃JEgo
		v_count_out : out unsigned(9 downto 0); -- JE^̃JEgo
		red_out : out std_logic_vector(7 downto 0); -- VGAo
		green_out : out std_logic_vector(7 downto 0); -- VGAo
		blue_out : out std_logic_vector(7 downto 0); -- VGAo
		blank_out : out std_logic; -- BLANKo
		h_syncx_out : out std_logic; -- o
		v_syncx_out : out std_logic; -- o
		mem_addr : out std_logic_vector(18 downto 0) -- SRAM̃AhXAoCgP
	);
end component;
component synchronizer
	port(
		clk : in std_logic;
		reset : in std_logic;
		cam_vsync_1d : in std_logic;
		cam_href_1d : in std_logic;
		master_sync : out std_logic;
		r_w : out std_logic
	);
end component;
component SRAM_Controller
	port(
		clk : in std_logic;
		clk48 : in std_logic;
		reset : in std_logic;
		r_w : in std_logic; -- Read or Write
		cam_href_3d : in std_logic; -- cam_href 3NbNxAeW[2NbNx̐MgĂ̂ŁA1NbNxĂMwẽCl[uƂĎgpBUYVYƃf[^̂ŁATv̂1NbNx邩B
		master_sync : in std_logic;
		cam_mem_addr : in std_logic_vector(17 downto 0); -- CMOSJ̏ݗp̃AhX
		cam_ydata_in : in std_logic_vector(7 downto 0); -- CMOSJ̃f[^
		vga_mem_addr : in std_logic_vector(18 downto 1); -- VGARg[[pǂݏopAhX
		
		mem_data_out : out std_logic_vector(15 downto 0); -- SRAM̃f[^óBCMOSJ̃f[^QW߂́B
		mem_data_oe : out std_logic; -- SRAMmemory datao͂Output Enable
		
		n_mem_we : out std_logic; -- SRAMWE
		n_mem_cs0 : out std_logic; -- SRAMchip select 0
		n_mem_cs1 : out std_logic; -- SRAMchip select 1
		n_mem_cs2 : out std_logic; -- SRAMchip select 2
		n_mem_cs3 : out std_logic; -- SRAMchip select 3
		n_mem_lowerB : out std_logic; -- SRAMmemory lower byte enable
		n_mem_upperB : out std_logic; -- SRAMmemory upper byte enable
		mem_addr : out std_logic_vector(17 downto 0) -- SRAMmemory address
	);
end component;
component Camera_Controller
	port(
		clk : in std_logic;
		reset : in std_logic;		
		cam_href_2d : in std_logic;	-- CMOSJHREF̃b`o
		master_sync : in std_logic; -- M
		mem_addr : out std_logic_vector(17 downto 0) -- CMOSJ̃f[^SRAM̃AhX
	);
end component;
component IOBUF
	port(
		O : out std_logic;
		IO : inout std_logic;
		I : in std_logic;
		T : in std_logic
	);
end component;

signal mclk : std_logic;
signal reset : std_logic;
signal mclk_locked : std_logic;
signal master_sync : std_logic;
signal r_w : std_logic;
signal cam_href_1d, cam_vsync_1d : std_logic;
signal cam_href_3d : std_logic;
signal cam_href_2d, cam_vsync_2d : std_logic;
signal cam_ydata_1d, cam_ydata_2d : std_logic_vector(7 downto 0);
signal w_r : std_logic;
signal vga_blank : std_logic;
signal vga_mem_addr : std_logic_vector(17 downto 0);
signal vga_mem_addr_19 : std_logic_vector(18 downto 0);
signal cam_mem_addr : std_logic_vector(17 downto 0);
signal clk48 : std_logic;
signal mem_data_out : std_logic_vector(15 downto 0); -- SRAM̃f[^óBCMOSJ̃f[^QW߂́B
signal mem_data_oe : std_logic; -- SRAMmemory datao͂Output Enable
signal n_mem_data_oe : std_logic;
signal vga_ydata : std_logic_vector(15 downto 0);
signal input_mem_data : std_logic_vector(15 downto 0);
signal cam_clk_node, cam_clk_locked : std_logic;
signal n_cam_clk_node, cam_clk_reset : std_logic;
signal n_mclk : std_logic;

begin
	cam_sio_c <= '1';
	cam_sio_d <= 'Z';
	cam_reset <= '0'; -- OV7640RESET̓ANeBunC
	
	DCM_module_24MHz_inst : DCM_module_24MHz port map(
		clk48MHz_in => clk,
		clk48_out => clk48,
		cam_clk_out => cam_clk_node,
		pclk_in => cam_pclk,
		mclk_out => mclk,
		cam_clk_locked => cam_clk_locked,
		mclk_locked => mclk_locked
	);
	reset <= not mclk_locked;
	
	-- CMOSJpNbN̐
	n_cam_clk_node <= not cam_clk_node;
	cam_clk_reset <= not cam_clk_locked;
	ODDR2_for_cam_clk : ODDR2 generic map(
		SRTYPE => "ASYNC"
	) port map(
		Q => cam_clk,
		C0 => cam_clk_node,
		C1 => n_cam_clk_node,
		CE => '1',
		D0 => '1',
		D1 => '0',
		R => cam_clk_reset,
		S => '0'
	);
	
	-- DACpNbN̐
	n_mclk <= not mclk;
	ODDR2_for_dac_clk : ODDR2 generic map(
		SRTYPE => "ASYNC"
	) port map(
		Q => dac_clk,
		C0 => mclk,
		C1 => n_mclk,
		CE => '1',
		D0 => '1',
		D1 => '0',
		R => reset,
		S => '0'
	);
	
	-- CMOSJ͈̓͂xIOBFFʂ
	process(mclk) begin
		if mclk'event and mclk='1' then
			if reset='1' then
				cam_vsync_1d <= '0';
				cam_href_1d <= '0';
				cam_ydata_1d <= (others => '0');
				cam_vsync_2d <= '0';
				cam_href_2d <= '0';
				cam_ydata_2d <= (others => '0');
				cam_href_3d <= '0';
			else
				cam_vsync_1d <= cam_vsync;
				cam_href_1d <= cam_href;
				cam_ydata_1d <= cam_ydata;
				cam_vsync_2d <= cam_vsync_1d;
				cam_href_2d <= cam_href_1d;
				cam_ydata_2d <= cam_ydata_1d;
				cam_href_3d <= cam_href_2d;
			end if;
		end if;
	end process;
	
	-- CMOSJ̏݃AhX̐
	
	synchronizer_inst : synchronizer port map(
		clk => mclk,
		reset => reset,
		cam_vsync_1d => cam_vsync_1d,
		cam_href_1d => cam_href_1d,
		master_sync => master_sync,
		r_w => r_w
	);
	
	-- mem_data̓FF
	process(mclk) begin
		if mclk'event and mclk='1' then
			if reset='1' then
				vga_ydata <= (others => '0');
			else
				vga_ydata <= input_mem_data;
			end if;
		end if;
	end process;
	w_r <= not r_w;
	
	VGA_Display_Controller_inst : VGA_Display_Controller port map(
		clk => mclk,
		reset => reset,
		master_sync => master_sync,
		pixel_y_data => vga_ydata,
		data_enable => w_r,
		h_count_out => open,
		v_count_out => open,
		red_out => dac_red,
		green_out => dac_green,
		blue_out => dac_blue,
		blank_out => vga_blank,
		h_syncx_out => vga_hsync,
		v_syncx_out => vga_vsync,
		mem_addr => vga_mem_addr_19
	);
	n_dac_blank <= not vga_blank;
	
	Camera_Controller_inst : Camera_Controller port map(
		clk => mclk,
		reset => reset,
		cam_href_2d => cam_href_2d,
		master_sync => master_sync,
		mem_addr => cam_mem_addr
	);
	
	vga_mem_addr <= vga_mem_addr_19(18 downto 1);
	SRAM_Controller_inst : SRAM_Controller port map(
		clk => mclk,
		clk48 => clk48,
		reset => reset,
		r_w => r_w,
		cam_href_3d => cam_href_3d,
		master_sync => master_sync,
		cam_mem_addr => cam_mem_addr,
		cam_ydata_in => cam_ydata_2d,
		vga_mem_addr => vga_mem_addr,
		mem_data_out => mem_data_out,
		mem_data_oe => mem_data_oe,
		n_mem_we => n_mem_we,
		n_mem_cs0 => n_mem_cs0,
		n_mem_cs1 => n_mem_cs1,
		n_mem_cs2 => n_mem_cs2,
		n_mem_cs3 => n_mem_cs3,
		n_mem_lowerB => n_mem_lowerB,
		n_mem_upperB => n_mem_upperB,
		mem_addr => mem_addr
	);
	n_mem_data_oe <= not mem_data_oe;
	
	MEM_DATA_GEN : for i in 15 downto 0 generate
		IOBUF_inst : IOBUF port map(
			O => input_mem_data(i),
			IO => mem_data(i),
			I => mem_data_out(i),
			T => n_mem_data_oe
		);
	end generate MEM_DATA_GEN;
	n_mem_rd <= not r_w;
end RTL;
