-- CAMERA_CONTROLLER
-- Jf[^ނ߂SRAM̃AhXo
-- IɂI2CRg[tāACMOSJ̐ݒύX邱ƂlĂ

library IEEE;
use IEEE.std_logic_1164.all;
use ieee.numeric_std.all;

entity Camera_Controller is
	port(
		clk : in std_logic;
		reset : in std_logic;		
		cam_href_2d : in std_logic;	-- CMOSJHREF̃b`o
		master_sync : in std_logic; -- M
		mem_addr : out std_logic_vector(17 downto 0) -- CMOSJ̃f[^SRAM̃AhX
	);
end Camera_Controller;

architecture RTL of Camera_Controller is
signal mem_a : unsigned(17 downto 0);
signal sub_count : unsigned(1 downto 0);
begin
	-- 4NbNɃAhX1iނ̂ŁA4JE^pӂB
	process(clk) begin
		if clk'event and clk='1' then
			if reset='1' or master_sync='1' then
				sub_count <= (others => '0');
			else
				if cam_href_2d='1' then 
					sub_count <= sub_count + 1;
				end if;
			end if;
		end if;
	end process;
	
	-- SRAM̃AhXA4NbNɈ{P
	process(clk) begin
		if clk'event and clk='1' then
			if reset='1' or master_sync='1' then
				mem_a <= (others => '0');
				-- mem_a <= "000000000100000000";
			else
				if cam_href_2d='1' and sub_count="11" then
					mem_a <= mem_a + 1;
				end if;
			end if;
		end if;
	end process;
	mem_addr <= std_logic_vector(mem_a);
	
end RTL;
